Bug 174955 - Kernel 2.6.14-x cause sound not to work for DVD playback.
Kernel 2.6.14-x cause sound not to work for DVD playback.
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-04 16:59 EST by stephen
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-08 08:07:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description stephen 2005-12-04 16:59:48 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20051201 Fedora/1.5-1.1.fc4.nr Firefox/1.5

Description of problem:
Desktop sound works, (fronts, rear, subwoofer), DVD menus, work the same.  If I start a movie (click play on the menu). Xine/Gxine crashes with an error. Kernel 2.6.14 uses Alsa 1.0.10RC2 or RC3 drivers.  Libs, Utils are still only 1.0.9 from FC4 updates.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. run xine/gxine from terminal, run, or shortcut
2. play a DVD
3. click on play movie on menu
  

Actual Results:  1. Xine crashes with error: 
"The audio device is unavailable.  Please verify if another program
already use it."
2. Xine stops playing DVD."  Same with Gxine.  
3. Nothing comes up in dmesg


Expected Results:  Xine/Gxine plays movie with 4.1 surround sound.

Additional info:

Attempts to fix:

Upgraded with RPMS from www.atrpm.net:

alsa-utils-1.0.10-18.rhfc4.at.i386.rpm
libasound2-1.0.10-25.rhfc4.at.i386.rpm
alsa-lib-devel-1.0.10-25.rhfc4.at.i386.rpm
alsa-lib-1.0.10-25.rhfc4.at.i386.rpm

Resulted menus playing sounds as normal, movie plays, but lost
front channels/woofer, rear channels work but muted during movie
(not in menu).
Comment 1 Martin Stransky 2005-12-08 04:10:12 EST
Could you check the latest update (lib/utils) for FC4?
Comment 2 stephen 2005-12-08 10:58:28 EST
I installed the lib/util from Updates (1.0.10).  The problem still occurs.

More info issue.  If I set xine to play in Stereo, sound comes through the front
and back speakers fine in stereo, if I set it back to 4.1 surround, front sound
stops and rear channels work.

I recompiled Xine lib and ui after installing 1.0.10 FC4 rpms and the problem
persists.
Comment 3 Martin Stransky 2005-12-09 04:14:57 EST
If I understand well you have only a problem with channels after update but
sound works better, right?
Comment 4 stephen 2005-12-16 17:12:00 EST
Yes, before updating the libs and util, video software crashes if I tried to
decode to 5.1 with the 2.6.14 kernel.

I am sorry that I forgot to note that I am using a Creative Labs SoundBlaster 5.1.

I upgraded to Kernel 2.6.14-1.1653_FC4 and I am still having the problem.
Comment 5 Dawid Zamirski 2005-12-18 12:40:55 EST
I have the same problem - front speakers do not work on 5.1 sound whreas rear
channel is ok. I am also unable to change volume fo rear channel using any of
sliders in the volume control. This happened after update to alsa-lib-1.0.10-2
and I'm also using Sound Blaster Live 5.1
Comment 6 Dawid Zamirski 2005-12-18 12:44:38 EST
And one more thing. When playing quicktime trailers from the web I'm not having
any problems with 5.1 sound. Maybe it's a52dec codec that can't work well with
newer alsa?
Comment 7 Martin Stransky 2005-12-22 11:12:24 EST
Could you please check this alsa-lib package?

http://people.redhat.com/stransky/alsa-lib-1.0.10-1.FC4.test.src.rpm

You have to recompile it, REMOVE the old one (which comes with FC4 update) and
install it.
Comment 8 Martin Stransky 2006-01-03 10:32:49 EST
Some how-to for the latest alsa-driver and FC4 is here:
http://people.redhat.com/stransky/alsa/

Note You need to log in before you can comment on or make changes to this bug.